Subject: bug#22801: status on committed change: upgrading 'sed' RE's to include perlRE syntax.

From: "Linda A. Walsh" <[email-masked]>
Date: Wed, 24 Feb 2016 16:04:49 -0800

Hmm....  while the maintainers of sed, said that it was a no-brainer
to add in another RE engine (like grep) corresponding to the perlRE,
and said it would be out by August of 2014, I see no version with
this update nor do I see it mentioned in the latest online documentation.

Does anyone know what happened to this?

-------- Original Message --------
Subject: 	Re: RFE: upgrade 'sed' RE's to include perlre syntax.
Date: 	Fri, 12 Feb 2016 12:30:05 -0800
References: 	<53CE1FCC｡7070607＠tlinx｡org> <53D11BCF｡20400＠gnu｡org> 
<87fvhqyams｡fsf＠gnu｡org> <53D1C11E｡3040806＠tlinx｡org>

Hey anyone -- I know it's been a while though I don't wanna be
pushy or such.. ;-)

But, um, anyone know where or what happened
to this change that was to have gone in 1.5 - 2 years ago? 

Source RPM  : sed-4.2.2-5.1.2.src.rpm
Build Date  : Thu 25 Sep 2014 01:15:55 AM PDT
Vendor      : openSUSE
Distribution: openSUSE 13.2

Thanks!
linda

p.s. - Had to work to try to make the quoting legible,
so original is in HTML, but am including txt as
well, but have no idea how clear it will be
considering how the HTML looks... ;-)

On 2014/07/24 at 19:29, Linda A. Walsh wrote:
>
> On 2014/07/24 at 09:39, Jose E. Marchesi wrote:
>>
>> On 2014/07/22 at 07:44, Paolo Bonzini wrote:
>>>
>>> Il 22/07/2014 10:24, Linda A. Walsh ha scritto:
>>>> Both simple atoms such as "\d" for [0-9] or "\S" for non-space 
>>>> characters are supported in awk and have been added to grep with 
>>>> the -P switch.
>>>>
>>>> Would it be possible to add a -P type switch to 'sed' so that 
>>>> PCRE-compat RE's could be used? 
>>>
>>> Yes, indeed part of the work is already done and part of the GNU sed 
>>> tarball (search for REG_PERL). Though the option was -R, not -P.
>>>
>>> Paolo 
>>
>> I want to release a new version of sed this August (it is time!) and 
>> I would love to include this functionality on it. I think it is not 
>> too late to use -P instead of -R, to keep some uniformity with the 
>> other tools. 
>
> I can try... :)
> Jose, in the meanwhile can you update gnulib in the sed repository?
> Paolo
>
>>
>> On 2014/07/24 at 09:52, Jose E. Marchesi wrote:
>>
>>     Done. 
>>
>
> Awesome. I don't have a heavy preference on -R v. -P, but trying to 
> keep similar function switches the same between tools would be a bonus.
>
> It is REALLY a headache remember what the switch is to specify the 
> "delimiter" char in sort vs. cut, et al. I always seem to pick the 
> wrong one.